︠70cf0da3-3235-41d1-ac37-8e4ee00be0bd︠
# Input Information
g1 = {0:[1], 1:[2], 2:[3], 3:[4], 4:[5], 5:[6], 6:[7]}
ancilla1 = [0]
g2 = {0:[1], 1:[2], 2:[3], 3:[4], 4:[5],5:[6],6:[7]}
ancilla2 = [0,1]
g3 = {0:[1], 1:[2], 2:[3], 3:[4], 4:[5],5:[6],6:[7]}
ancilla3 = [0,1,2]
g4 = {0:[1], 1:[2], 2:[3], 3:[4], 4:[5],5:[6],6:[7]}
ancilla4 = [0,7]
g5 = {0:[1], 1:[2], 2:[3], 3:[4], 4:[5],5:[6],6:[7]}
ancilla5 = [3,4]
g6 = {0:[1], 1:[2], 2:[3], 3:[4], 4:[5],5:[6],6:[7]}
ancilla6 = [0,2,4,6]
#------------------------------------------
g_full = [[g1,ancilla1],  [g2,ancilla2],  [g3,ancilla3], [g4,ancilla4], [g5,ancilla5], [g6,ancilla6]]

# visible = copy(TraceOut.basis_matrix()); visible.subdivide(0,G.order()); visible; g_full
︡f2f9225f-f8c6-4b0a-8c20-ea8d8abd7202︡︡
︠310538d1-06cd-4e25-a936-79852fc13127︠
# Function to generate a GeneratorMatrix
# INPUT(graph type = dictionary)
# OUTPUT(generatormatrix type = Matrix) | GeneratorMatrix for graph

def Mgenerator(g):     
               
      # Creating Graph
     G = Graph(g)
              
      # MatrixSpace and Field
     F = GF(2)
     MS = MatrixSpace(F, G.order())
     adj = MS(G.adjacency_matrix())
       
     return block_matrix([MS.identity_matrix(), adj], ncols = 2)
︡82977f04-b37c-4a07-a712-7dd37d737744︡︡
︠b423f26d-5e41-4531-9d46-d6f6a6a53d95︠
# Function to read the X'x and Z's from a F_2n Vector out
# INPUT (vector type = vector over F_2) 
# OUTPUT (X_0 Z_0....X_iZ_i type = string)
def vector_to_stabilizer(v):
    liste = v.list(); l = len(v.list()) / 2
    Xlist = liste[0:l]; Zlist = liste[l: 2*l];string = ''
    
    for n in range(l):
        if Xlist[n] == 1:
            string = string + ' X_' + str(n)
        if Zlist[n] == 1:
            string = string + ' Z_' + str(n)    
    return string
︡e4d62efd-6b3c-4548-b864-01ff823676b9︡︡
︠977c622e-a2c5-4c55-9768-43f94c2141c4︠
# Function to get a list of a stabilizer in X's and Z's Format
# INPUT (generatormatrix type = matrix over F_2) 
# OUTPUT (list of stabilizers types = string)

def generator_to_string(M):
    stabilizerlist = []
    
    for x in range(M.parent().dims()[0]):    
        stabilizerlist.append(vector_to_stabilizer(M.row(x)))
    
    return stabilizerlist
︡8bc56a25-1b60-4e88-9573-bd6b6567e365︡︡
︠0aaf35ae-816d-477a-9f36-848027b6dc40︠
# Function for Reduced Clifford Dynamic 
# INPUT(graph type = dictionary, ancilla type = list) | Graph State and Ancilla System
# OUTPUT(support type = VectorSpace) | Stabilizer - Group

def rcd(g, ancilla): 
        
        # Maybe some Check Up here if g is of correct format        

        # Creating Graph
     G = Graph(g, boundary = ancilla)

        # Vector Space, p-list and Field
     F = GF(2)
     p = G.vertices()    
     V = VectorSpace(F, G.order())

     for x in G.get_boundary(): p.remove(x)   
     
        # Creating Subspace
     SemiSubSpace = V.basis_matrix().matrix_from_rows(p).row_space()
     SubSpace = SemiSubSpace.direct_sum(SemiSubSpace)     

        # Creating Stabilizer Space
     Stabilizer = Mgenerator(g).row_space()        

        # Projection onto spanned subspace
     TraceOut = Stabilizer.intersection(SubSpace)

     return TraceOut
︡8c0fd5ad-5c1a-422e-83f1-b8c030dfedcf︡︡
︠d55cda19-daf4-4e7d-bc9f-88f13dc32ccd︠
#Function for calculating everything and put it into a liststructure
#INPUT(graphlist type = list(list(graph, list))) 
#OUTPUT( list FORMAT: ( graphdictionary, ancilla, GRAPH, GeneratorMatrix of GRAPH, RCD Subspace of GRAPH) )

def nrcd(glist):
    return [[x[0], x[1], Graph(x[0], boundary = x[1]), Mgenerator(x[0]), rcd(x[0], x[1]), generator_to_string(Mgenerator(x[0]))] for x in glist ]
︡7b586c1c-d3d8-4c54-ae03-347712b2c9b8︡︡
︠15e497a1-1f4e-43dc-8c01-36852fac0ae6︠
def result(glist):
       for index, x in enumerate(nrcd(glist)): 
            x[2].show()
            html.table([["Nr", "Stabilizer Matrix","rgS", "after Traceoperation", "rgT", "Rank-Reduction"], [index + 1, x[3].row_space(), x[3].rank(), x[4], x[4].rank(), x[3].rank() - x[4].rank()]], header = true)
            print x[5]
︡9e5f106d-ea27-4f9b-bb60-88ff4a620d87︡︡
︠67340dee-b84b-404b-a8dd-b56b15c17293︠
result(g_full)
︡54824b56-d5df-4ec5-a506-a8400e972c30︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡{"html": "\n<div class=\"notruncate\">\n<table class=\"table_form\">\n<tbody>\n<tr>\n<th>Graph Nr</th>\n<th>Stabilizer Matrix</th>\n<th>rgS</th>\n<th>after Traceoperation</th>\n<th>rgT</th>\n<th>Rank-Reduction</th>\n</tr>\n<tr class =\"row-a\">\n<td><span class=\"math\">1</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n1 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">8</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">6</span></td>\n<td><span class=\"math\">2</span></td>\n</tr>\n</tbody>\n</table>\n</div>\n"}︡{"stdout": "[' X_0 Z_1', ' Z_0 X_1 Z_2', ' Z_1 X_2 Z_3', ' Z_2 X_3 Z_4', ' Z_3 X_4 Z_5', ' Z_4 X_5 Z_6', ' Z_5 X_6 Z_7', ' Z_6 X_7']"}︡{"html": "<font color='black'><img src='cell://sage1.png'></font>"}︡{"html": "\n<div class=\"notruncate\">\n<table class=\"table_form\">\n<tbody>\n<tr>\n<th>Graph Nr</th>\n<th>Stabilizer Matrix</th>\n<th>rgS</th>\n<th>after Traceoperation</th>\n<th>rgT</th>\n<th>Rank-Reduction</th>\n</tr>\n<tr class =\"row-a\">\n<td><span class=\"math\">2</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n1 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">8</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">5</span></td>\n<td><span class=\"math\">3</span></td>\n</tr>\n</tbody>\n</table>\n</div>\n"}︡{"stdout": "[' X_0 Z_1', ' Z_0 X_1 Z_2', ' Z_1 X_2 Z_3', ' Z_2 X_3 Z_4', ' Z_3 X_4 Z_5', ' Z_4 X_5 Z_6', ' Z_5 X_6 Z_7', ' Z_6 X_7']"}︡{"html": "<font color='black'><img src='cell://sage2.png'></font>"}︡{"html": "\n<div class=\"notruncate\">\n<table class=\"table_form\">\n<tbody>\n<tr>\n<th>Graph Nr</th>\n<th>Stabilizer Matrix</th>\n<th>rgS</th>\n<th>after Traceoperation</th>\n<th>rgT</th>\n<th>Rank-Reduction</th>\n</tr>\n<tr class =\"row-a\">\n<td><span class=\"math\">3</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n1 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">8</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">4</span></td>\n<td><span class=\"math\">4</span></td>\n</tr>\n</tbody>\n</table>\n</div>\n"}︡{"stdout": "[' X_0 Z_1', ' Z_0 X_1 Z_2', ' Z_1 X_2 Z_3', ' Z_2 X_3 Z_4', ' Z_3 X_4 Z_5', ' Z_4 X_5 Z_6', ' Z_5 X_6 Z_7', ' Z_6 X_7']"}︡{"html": "<font color='black'><img src='cell://sage3.png'></font>"}︡{"html": "\n<div class=\"notruncate\">\n<table class=\"table_form\">\n<tbody>\n<tr>\n<th>Graph Nr</th>\n<th>Stabilizer Matrix</th>\n<th>rgS</th>\n<th>after Traceoperation</th>\n<th>rgT</th>\n<th>Rank-Reduction</th>\n</tr>\n<tr class =\"row-a\">\n<td><span class=\"math\">4</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n1 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">8</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">4</span></td>\n<td><span class=\"math\">4</span></td>\n</tr>\n</tbody>\n</table>\n</div>\n"}︡{"stdout": "[' X_0 Z_1', ' Z_0 X_1 Z_2', ' Z_1 X_2 Z_3', ' Z_2 X_3 Z_4', ' Z_3 X_4 Z_5', ' Z_4 X_5 Z_6', ' Z_5 X_6 Z_7', ' Z_6 X_7']"}︡{"html": "<font color='black'><img src='cell://sage4.png'></font>"}︡{"html": "\n<div class=\"notruncate\">\n<table class=\"table_form\">\n<tbody>\n<tr>\n<th>Graph Nr</th>\n<th>Stabilizer Matrix</th>\n<th>rgS</th>\n<th>after Traceoperation</th>\n<th>rgT</th>\n<th>Rank-Reduction</th>\n</tr>\n<tr class =\"row-a\">\n<td><span class=\"math\">5</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n1 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">8</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n1 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">4</span></td>\n<td><span class=\"math\">4</span></td>\n</tr>\n</tbody>\n</table>\n</div>\n"}︡{"stdout": "[' X_0 Z_1', ' Z_0 X_1 Z_2', ' Z_1 X_2 Z_3', ' Z_2 X_3 Z_4', ' Z_3 X_4 Z_5', ' Z_4 X_5 Z_6', ' Z_5 X_6 Z_7', ' Z_6 X_7']"}︡{"html": "<font color='black'><img src='cell://sage5.png'></font>"}︡{"html": "\n<div class=\"notruncate\">\n<table class=\"table_form\">\n<tbody>\n<tr>\n<th>Graph Nr</th>\n<th>Stabilizer Matrix</th>\n<th>rgS</th>\n<th>after Traceoperation</th>\n<th>rgT</th>\n<th>Rank-Reduction</th>\n</tr>\n<tr class =\"row-a\">\n<td><span class=\"math\">6</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}\\left(\\begin{array}{rrrrrrrrrrrrrrrr}\n1 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 & 0 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 1 \\\\\n0 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0 & 0 & 0 & 0 & 0 & 0 & 1 & 0\n\\end{array}\\right)</span></td>\n<td><span class=\"math\">8</span></td>\n<td><span class=\"math\">\\mathrm{RowSpan}_{\\Bold{F}_{2}}()</span></td>\n<td><span class=\"math\">0</span></td>\n<td><span class=\"math\">8</span></td>\n</tr>\n</tbody>\n</table>\n</div>\n"}︡{"stdout": "[' X_0 Z_1', ' Z_0 X_1 Z_2', ' Z_1 X_2 Z_3', ' Z_2 X_3 Z_4', ' Z_3 X_4 Z_5', ' Z_4 X_5 Z_6', ' Z_5 X_6 Z_7', ' Z_6 X_7']"}︡
